#
# WiKicker
#
#  Makefile.PL
#
#
# Copyright (C) 2003,2004,2005 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: Makefile.PL,v 1.14 2005/05/10 12:58:16 naney Exp $
#
#

use ExtUtils::MakeMaker;

sub check_optional_prereq {
  my $pm = shift;
  warn "Warning: WiKicker likes to have $pm, but doesn't require it.\n"
    unless eval "use $pm; 1";
}

sub check_dikicker_prereq {
  my $pm = shift;
  warn "Warning: prerequisite $pm not found for DiKicker.\n"
    unless eval "use $pm; 1";
}

check_optional_prereq('GnuPG::Interface');
check_optional_prereq('Tie::IxHash');
check_optional_prereq('MLDBM');
check_optional_prereq('MLDBM::Sync::SDBM_File');
check_optional_prereq('LWP::RobotUA');
check_optional_prereq('WWW::RobotRules::AnyDBM_File');
check_optional_prereq('WWW::RobotRules::AnyDBM_File');
check_optional_prereq('Cache::Memcached');
check_optional_prereq('IPC::ShareLite');
check_dikicker_prereq('DB_File');
check_dikicker_prereq('DB_File::Lock');

$prereq_pm = { CGI => 0,
               CGI::Carp => 0,
               Socket => 0,
               MIME::Base64 => 0,
               File::Path => 0,
               File::stat => 0,
               File::Path => 0,
               Storable => 0,
               #Parse::RecDescent => 0,
               Time::HiRes => 0,
               Time::Local => 0,
               File::stat => 0,
               Getopt::Long => 0,
               Time::Zone => 0,
               URI => 0,
               Jcode => 0,
               HTML::Parser => 0,
               LWP::UserAgent => 0,
               Algorithm::Diff => 0,
               Storable => 0,
               Locale::Maketext => 1.01,
               HTTP::Date => 0,
               HTTP::Status => 0,
               Log::Log4perl => 0,
               Test::More => 0,
             };

if ($] < 5.008) {
  warn "Use Unicode::String\n";
  $prereq_pm->{'Unicode::String'} = 0;
}

if ($^O eq 'solaris') {
  $prereq_pm->{'File::Flock'} = 0;
}

if ($^O =~ /Win32/) {
  $prereq_pm->{'MIME::Base32'} = 0;
}

my %options = (
    'NAME'		=> 'WiKicker',
    'VERSION_FROM'	=> 'lib/WiKicker.pm', # finds $VERSION
    'PREREQ_PM'		=> $prereq_pm,
    #'PL_FILES' => { 'DocumentParserGrammar.pm.PL' => 'lib/WiKicker/WikiPage/DocumentParserGrammar.pm' },
    'EXE_FILES' => [ 'bin/importyk2', 'bin/wikicker-html-exporter' ],
    ($] >= 5.005 ?    ## Add these new keywords supported since 5.005
      (ABSTRACT_FROM => 'lib/WiKicker.pm', # retrieve abstract from module
       AUTHOR     => 'WATANABE Yoshimasa <naney@naney.org>') : ()),
);

#'PM_FILTER' => '$(PERL) -pe "s!\\\\Q@WIKICKERLIB@\\\\E!$(INSTALLSITELIB)!g"',

my @tmp;
for (@ARGV) {
  if (/WIKICKER_NO_AUTOLOAD=1/) {
    $options{PM_FILTER} = q($(PERL) -e "while (<>) {s!^\\\\s*use\\\\s+AutoLoader.*!!g; s!^__END__!!g; print} print qq(\\n1;\\n); ");
  }
  elsif (/WIKICKER_DEBUG=1/) {
  $options{PM_FILTER} = q($(PERL) -pe "s!^\\\\s*\\#IFDEBUG:!!g");
  }
  else {
    push(@tmp, $_);
  }
}

@ARGV = @tmp;

WriteMakefile(%options);
