#
# WiKicker
#
#  Acceptor.t
#
#
# Copyright (C) 2004,2005 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: Acceptor.t,v 1.3 2005/03/13 14:49:10 naney Exp $
#
#

use strict;
use Test::More tests => 3;

package ImportAccept;

use WiKicker::WikiPage::Acceptor qw(:accept);

package HasOriginalAccept;

use WiKicker::WikiPage::Acceptor;

sub accept {
  my ($self, $visitor) = @_;

  return 'original';
}

package NoImportAccept;


package TestVisitor;

sub visit_ImportAccept      { return 'ImportAccept are called'; }
sub visit_HasOriginalAccept { return 'Not original called'; }
sub visit_NoImportAccept    { return 'Why?'; }

package main;

my $visitor = bless {}, 'TestVisitor';

{
  my $acceptor = bless {}, 'ImportAccept';
  is($acceptor->accept($visitor), 'ImportAccept are called');
}

{
  my $acceptor = bless {}, 'HasOriginalAccept';
  is($acceptor->accept($visitor), 'original');
}

eval {
  my $acceptor = bless {}, 'NoImportAccept';
  $acceptor->acceptor($visitor);
};
ok($@);
