#
# WiKicker
#
#  BracketNameNode.t
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: BracketNameNode.t,v 1.2 2003/10/26 23:07:34 naney Exp $
#
#

use strict;
use Test;

BEGIN { plan tests => 5 }

use WiKicker::WikiPage::BracketNameNode;
use WiKicker::WRI::Factory;

my $factory = WiKicker::WRI::Factory->new;

# get
{
  my $node = WiKicker::WikiPage::BracketNameNode->new('[[a][b]]', 'a', 'b', $factory);
  ok($node->original eq '[[a][b]]');
  ok($node->reference eq 'a');
  ok($node->content eq 'b');
}

# set reference
{
  my $node = WiKicker::WikiPage::BracketNameNode->new('[[a][b]]', 'a', 'b', $factory);
  $node->reference('d');
  ok($node->reference eq 'd');
}

# set content
{
  my $node = WiKicker::WikiPage::BracketNameNode->new('[[a][b]]', 'a', 'b', $factory);
  $node->content('e');
  ok($node->content eq 'e');
}
