#
# WiKicker
#
#  CGIExport.t
#
#
# Copyright (C) 2003,2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: CGIExport.t,v 1.5 2004/04/02 12:25:18 naney Exp $
#
#

use strict;
use Test;

BEGIN { plan tests => 1 }

use WiKicker::WikiPage::DocumentParser;
use WiKicker::CGI::Export;
use WiKicker::PageNameList;
use WiKicker::WRI::Factory;
use CGI (-no_debug);

my $factory = WiKicker::WRI::Factory->new;

{
  my $document_node = WiKicker::WikiPage::DocumentParser->new(wri_factory => $factory)->parse(<<ENDSTR);
ab
>cd
ef
ENDSTR
  my $file = '/tmp/CGExport.t.testfile';
  unlink $file;
  WiKicker::CGI::Export::export_page($file, $document_node, RequestMock->new);
  ok(-e $file);
}

package RequestMock;

sub new {
  my $class = shift;
  return bless {}, $class;
}

sub configuration {
  my $self = shift;

  return $self;
}

sub properties {
  my $self = shift;

  return $self;
}

sub get {
  my ($self, $key) = @_;

  if ($key eq 'user.timezone') {
    return 'JST';
  }
  return '';
}

sub environment {
  my $self = shift;

  return $self;
}

sub export_page {
  my ($self, $page_name) = @_;

  return $page_name;
}

sub url {
  return '/tmp';
}

sub db {
  return shift; # self
}

sub page_name_list {
  return WiKicker::PageNameList->new;
}

sub query {
  return CGI->new;
}

sub name {
  return 'abc';
}

sub resolver {
  return '';
}

sub create_wri_factory {
  return '';
}
