#
# WiKicker
#
#  CPVisitor.t
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: CPVisitor.t,v 1.2 2003/10/26 23:07:34 naney Exp $
#
#

use strict;
use Test;

BEGIN { plan tests => 2 }

use WiKicker::WikiPage::CommitProcessorVisitor;
use WiKicker::WikiPage::DocumentParser;
use WiKicker::WRI::Factory;

my $factory = WiKicker::WRI::Factory->new;

# [[]]
{
  my $document_node = WiKicker::WikiPage::DocumentParser->new(wri_factory => $factory)->parse(':a:b');

  my $visitor = WiKicker::WikiPage::CommitProcessorVisitor->new(wri_factory => $factory);
  $visitor->visit($document_node);
  ok($document_node->to_string eq ":a:b");
}

# 
{
  my $document_node = WiKicker::WikiPage::DocumentParser->new(wri_factory => $factory)->parse('[[http://www.google.com/][]]');

  my $visitor = WiKicker::WikiPage::CommitProcessorVisitor->new(wri_factory => $factory);
  $visitor->visit($document_node);
  ok($document_node->to_string eq "[[http://www.google.com/][Google]]");
}
