#
# WiKicker
#
#  DikiPDb;
#
#
# Copyright (C) 2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: DikiPDb.t,v 1.2 2004/05/30 08:50:45 naney Exp $
#
#

use strict;
use Test;
use File::Path;

BEGIN { plan tests => 16 }

use WiKicker::Diki::PrimaryDatabase;

BEGIN {
  unless (-e 't/tmp') {
    mkdir('t/tmp', 0755) || die "Can't mkdir t/tmp: $!";
  }
}

END {
  rmtree(['t/tmp/DikiPDb'], 0);
}

# no directory
{
  if (-e 't/tmp/DikiPDb') {
    rmdir('t/tmp/DikiPDb') || die "Can't rmdir t/tmp/DikiPDb: $!";
  }
  eval {
    my $db = WiKicker::Diki::PrimaryDatabase
      ->new(directory => 't/tmp/DikiPDb');
  };
  if ($@) {
    ok(1);
  }
  else {
    ok(0);
  }
}

# no year
{
  mkdir('t/tmp/DikiPDb', 0755) || die "Can't mkdir t/tmp/DikiPDb: $!";
  my $db = WiKicker::Diki::PrimaryDatabase
      ->new(directory => 't/tmp/DikiPDb');

  ok($db->directory, 't/tmp/DikiPDb');
  my $years = $db->years;
  ok(scalar(@$years), 0);
  ok($db->recent_year eq '');
  ok($db->first_year eq '');
}

# one year
{
  mkdir('t/tmp/DikiPDb/2004', 0755) || die "Can't mkdir t/tmp/DikiPDb/2004: $!";
  my $db = WiKicker::Diki::PrimaryDatabase
      ->new(directory => 't/tmp/DikiPDb');

  ok($db->directory, 't/tmp/DikiPDb');
  my $years = $db->years;
  ok(scalar(@$years), 1);
  ok($years->[0], '2004');
  ok($db->recent_year, '2004');
  ok($db->first_year, '2004');

}

# two year
{
  mkdir('t/tmp/DikiPDb/2003', 0755) || die "Can't mkdir t/tmp/DikiPDb/2003: $!";
  my $db = WiKicker::Diki::PrimaryDatabase
      ->new(directory => 't/tmp/DikiPDb');

  ok($db->directory, 't/tmp/DikiPDb');
  my $years = $db->years;
  ok(scalar(@$years), 2);
  ok($years->[0], '2003');
  ok($years->[1], '2004');
  ok($db->recent_year, '2004');
  ok($db->first_year, '2003');
}
