#
# WiKicker
#
#  DikiPMDb;
#
#
# Copyright (C) 2004,2005 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: DikiPMDb.t,v 1.3 2005/04/04 14:04:52 naney Exp $
#
#

use strict;
use Test;
use File::Path;

BEGIN { plan tests => 10 }

use WiKicker::Diki::PrimaryMonthDatabase;

BEGIN {
  unless (-e 't/tmp') {
    mkdir('t/tmp', 0755) || die "Can't mkdir t/tmp: $!";
  }
}

END {
  rmtree(['t/tmp/DikiPMDb'], 0);
}

# no directory
{
  if (-e 't/tmp/DikiPMDb') {
    rmdir('t/tmp/DikiPMDb') || die "Can't rmdir t/tmp/DikiPMDb: $!";
  };
  my $db;
  eval {
    $db = WiKicker::Diki::PrimaryMonthDatabase
      ->new(directory => 't/tmp/DikiPMDb',
            month => '01');
  };
  if ($@) {
    ok(0);
    warn $@;
  }
  else {
    ok(1);
  }

  ok($db->directory, 't/tmp/DikiPMDb');

  my ($num, $result) = $db->recent_diary_article_set(5);
  ok($num, 0);
  ok(scalar(keys %$result), 0);
}

# have directory
{
  mkdir('t/tmp/DikiPMDb', 0755);
  my $db = WiKicker::Diki::PrimaryMonthDatabase
    ->new(directory => 't/tmp/DikiPMDb',
          month => '01');

  my ($num, $result) = $db->recent_diary_article_set(5);
  ok($num, 0);
  ok(scalar(keys %$result), 0);

  #`touch t/tmp/DikiPMDb/2004-01-15-aaa.dkd`;
  open(FILE, '>t/tmp/DikiPMDb/2004-01-15-aaa.dkd') || die;
  print FILE 'dummy';
  close(FILE);
  ($num, $result) = $db->recent_diary_article_set(5);
  ok($num, 1);
  ok(scalar(keys %$result), 1);
  ok(exists $result->{'2004-01-15-aaa'});
  my @stat = stat('t/tmp/DikiPMDb/2004-01-15-aaa.dkd');
  ok($result->{'2004-01-15-aaa'}, $stat[9]);

  unlink('t/tmp/DikiPMDb/2004-01-15-aaa.dkd');
}
