#
# WiKicker
#
#  File.t
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: File.t,v 1.2 2005/05/07 04:44:54 naney Exp $
#
#

use strict;
use Test::More tests => 6;
use WiKicker::File;

SKIP: {
  eval "use MIME::Base32 qw(RFC)";
  skip "MIME::Base32 not installed", 2 if $@;

  is(WiKicker::File::key_to_file_name_base32('a'), 'ME');
  is(WiKicker::File::file_name_to_key_base32('ME'), 'a');
}

SKIP: {
  eval "use MIME::Base64";
  skip "MIME::Base64 not installed", 2 if $@;

  is(WiKicker::File::key_to_file_name_base64('a'), 'YQ==');
  is(WiKicker::File::file_name_to_key_base64('YQ=='), 'a');
}

# simple
if ($^O =~ /Win32/) {
  is(WiKicker::File::key_to_file_name('a'), 'ME');
  is(WiKicker::File::file_name_to_key('ME'), 'a');
}
else {
  is(WiKicker::File::key_to_file_name('a'), 'YQ==');
  is(WiKicker::File::file_name_to_key('YQ=='), 'a');
}
