#
# WiKicker
#
#  GPLVisitor.t
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: GPLVisitor.t,v 1.2 2003/10/26 23:07:34 naney Exp $
#
#

use strict;
use Test;

BEGIN { plan tests => 6 }

use WiKicker::WikiPage::GetPageLinkVisitor;
use WiKicker::WikiPage::DocumentParser;
use WiKicker::WRI::Factory;

my $factory = WiKicker::WRI::Factory->new;

{
  my $parser = WiKicker::WikiPage::DocumentParser->new(wri_factory => $factory);
  my $document_node = $parser->parse(<<__ENDSTR__);
WikiName
[[page1]]
[[page:page2]]
[[page-subject:page3]]
[[page-mtime:page4]]
[[mtimelink:page5]]
__ENDSTR__
  my $visitor = WiKicker::WikiPage::GetPageLinkVisitor->new;
  $visitor->visit($document_node);

  my @page_name_list = $visitor->page_name_list;

  my %page_name;
  map {$page_name{$_}++} @page_name_list;

  ok(exists $page_name{WikiName});
  ok(exists $page_name{page1});
  ok(exists $page_name{page2});
  ok(exists $page_name{page3});
  ok(exists $page_name{page4});
  ok(exists $page_name{page5});
}


