#
# WiKicker
#
#  ICVisitor.t
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: ICVisitor.t,v 1.2 2003/10/26 23:07:34 naney Exp $
#
#

use strict;
use Test;

BEGIN { plan tests => 4 }

use WiKicker::WikiPage::DocumentParser;
use WiKicker::WikiPage::InsertCommentVisitor;
use WiKicker::WRI::Factory;

my $factory = WiKicker::WRI::Factory->new;

{
  my $document_node = WiKicker::WikiPage::DocumentParser->new(wri_factory => $factory)->parse(<<EOS);
[[form:comment]]
EOS
  my $visitor = WiKicker::WikiPage::InsertCommentVisitor->new;
  $visitor->comment_name('Naney');
  $visitor->comment_number(0);
  $visitor->comment_message('test');
  $visitor->comment_gmtime(time);
  $visitor->visit($document_node);
  my $string = $document_node->to_string;
  ok($string =~ /\[\[Naney\]\]/); # armored
  ok($string =~ /test/);
}

{
  my $document_node = WiKicker::WikiPage::DocumentParser->new(wri_factory => $factory)->parse(<<EOS);
[[form:comment]]
EOS
  my $visitor = WiKicker::WikiPage::InsertCommentVisitor->new;
  $visitor->comment_name('UserName');
  $visitor->comment_number(0);
  $visitor->comment_message('test');
  $visitor->comment_gmtime(time);
  $visitor->visit($document_node);
  my $string = $document_node->to_string;
  ok($string !~ /\[\[UserName\]\]/); # not armored
  ok($string =~ /test/);
}

