#
# WiKicker
#
#  IgnorePatternFile.t
#
#
# Copyright (C) 2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: IgnorePatternFile.t,v 1.1 2005/01/09 09:33:23 naney Exp $
#
#

use strict;
use Test;

BEGIN { plan tests => 4 }

use WiKicker::WikiCGI::IgnorePatternFile;

use File::Spec;
my $test_pattern_file = File::Spec->catfile('t', 'tmp', 'ignore.txt');

open(FILE, ">$test_pattern_file") || die $!;
print FILE <<__ENDSTR__;
# comment
qr/ab+d/
d+c
# next empty line

__ENDSTR__
close(FILE);

my $patterns = WiKicker::WikiCGI::IgnorePatternFile->new(file => $test_pattern_file);

ok(! $patterns->match("# comment"));
ok($patterns->match("abbd\n0123"));
ok(! $patterns->match("ab+d\n0123"));
ok($patterns->match("d+c\n0123"));
