#
# WiKicker
#
#  MSWordExtractor.t
#
#
# Copyright (C) 2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: MSWordExtractor.t,v 1.1 2004/02/08 13:19:30 naney Exp $
#
#

use strict;
use Test;

BEGIN { plan tests => 31 }

use WiKicker::Text::MultiSetWordExtractor;

{
  my $extractor = WiKicker::Text::MultiSetWordExtractor->new;
  $extractor->set_words_list_list([]);
  my $splited = $extractor->split_into_words('ab cd ef');

  ok(scalar(@$splited), 1);
  ok($splited->[0]->[0], 0);
  ok($splited->[0]->[1], 'ab cd ef');
}

{
  my $extractor = WiKicker::Text::MultiSetWordExtractor->new;
  $extractor->set_words_list_list([ [ qw(cd) ] ]);
  my $splited = $extractor->split_into_words('ab cd ef');

  ok(scalar(@$splited), 3);
  ok($splited->[0]->[0], 0);
  ok($splited->[0]->[1], 'ab ');
  ok($splited->[1]->[0], 1);
  ok($splited->[1]->[1], 'cd');
  ok($splited->[2]->[0], 0);
  ok($splited->[2]->[1], ' ef');
}

{
  my $extractor = WiKicker::Text::MultiSetWordExtractor->new;
  $extractor->set_words_list_list([ [ qw(cd) ],
                                    [ qw(ef) ] ]);
  my $splited = $extractor->split_into_words('ab cd ef');

  ok(scalar(@$splited), 4);
  ok($splited->[0]->[0], 0);
  ok($splited->[0]->[1], 'ab ');
  ok($splited->[1]->[0], 1);
  ok($splited->[1]->[1], 'cd');
  ok($splited->[2]->[0], 0);
  ok($splited->[2]->[1], ' ');
  ok($splited->[3]->[0], 2);
  ok($splited->[3]->[1], 'ef');
}

{
  my $extractor = WiKicker::Text::MultiSetWordExtractor->new;
  $extractor->set_words_list_list([ [ qw(cd) ],
                                    [ qw(cd) ] ]);
  my $splited = $extractor->split_into_words('ab cd ef');

  ok(scalar(@$splited), 3);
  ok($splited->[0]->[0], 0);
  ok($splited->[0]->[1], 'ab ');
  ok($splited->[1]->[0], 1);
  ok($splited->[1]->[1], 'cd');
  ok($splited->[2]->[0], 0);
  ok($splited->[2]->[1], ' ef');
}

{
  my $extractor = WiKicker::Text::MultiSetWordExtractor->new;
  $extractor->set_words_list_list([ ['cd ef'],
                                    [ qw(cd) ] ]);
  my $splited = $extractor->split_into_words('ab cd ef');

  ok(scalar(@$splited), 2);
  ok($splited->[0]->[0], 0);
  ok($splited->[0]->[1], 'ab ');
  ok($splited->[1]->[0], 1);
  ok($splited->[1]->[1], 'cd ef');
}
