#
# WiKicker
#
#  Mailer.t
#
#
# Copyright (C) 2003,2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: Mailer.t,v 1.2 2004/01/29 14:41:57 naney Exp $
#
#

use strict;
use Test;

BEGIN { plan tests => 7 }

use WiKicker::Mailer;

{
  ok(WiKicker::Mailer::encode_utf8_words(''), '');
  ok(WiKicker::Mailer::encode_utf8_words('a'), 'a');
  ok(WiKicker::Mailer::encode_utf8_words('あ'), '=?UTF-8?B?44GC?=');
  ok(WiKicker::Mailer::encode_utf8_words('0あいうえおかきくけこさしすせそたちつてと'),
     "=?UTF-8?B?MOOBguOBhOOBhuOBiOOBiuOBi+OBjeOBj+OBkeOBk+OBleOBl+OBmeOBmw==?=\n =?UTF-8?B?44Gd44Gf44Gh44Gk44Gm44Go?=");
}

my $sendmail = $ENV{WIKICKER_TEST_SENDMAIL};
my $to       = $ENV{WIKICKER_TEST_TO};

{
  my $mailer = WiKicker::Mailer->new('ls');

  my $message = $mailer->make_message('make test',
                                      'naney@naney.org',
                                      'page',
                                      'mode',
                                      'body',
                                      undef);
  ok($message =~ /To: naney\@naney.org/);
}

if ($sendmail && $to) {
  my $mailer = WiKicker::Mailer->new($sendmail);

  $mailer->send('make test',
                $to,
                'page',
                'mode',
                'body',
                undef);
  ok(1);
}
else {
  skip(1, 1);
}  

if ($sendmail && $to) {
  my $mailer = WiKicker::Mailer->new($sendmail);

  $mailer->send('make test',
                $to,
                '日本語ページ名',
                'mode',
                '日本語ページボディ',
                undef);
  ok(1);
}
else {
  skip(1, 1);
}
