#
# WiKicker
#
#  Referer.t
#
#
# Copyright (C) 2003,2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: Referer.t,v 1.5 2004/01/20 10:37:31 naney Exp $
#
#

use strict;
use Test;

BEGIN { plan tests => 11 }

use WiKicker::HTTP::Referer;

eval {
  my $referer = WiKicker::HTTP::Referer->new('http://www.naney.org/');
  ok(!$referer->is_search_engine_result_page);
  ok($referer->make_html_link, qq(<a href="http://www.naney.org/">http://www.naney.org/</a>));
};

eval {
  my $referer = WiKicker::HTTP::Referer->new('http://www.google.co.jp/search?q=WiKicker&ie=UTF-8&oe=UTF-8&hl=ja&btnG=Google+%E6%A4%9C%E7%B4%A2&lr=');
  ok($referer->is_search_engine_result_page);
};

eval {
  my $referer = WiKicker::HTTP::Referer->new('http://websearch.yahoo.co.jp/bin/query?p=wikicker&hc=0&hs=0');
  ok($referer->is_search_engine_result_page);
};

eval {
  my $referer = WiKicker::HTTP::Referer->new('http://search.msn.co.jp/spresults.aspx?q=%E6%9D%BE%E6%9C%AC%E5%A4%AA%E9%99%BD%E3%80%80%E3%83%94%E3%83%B3%E3%83%9D%E3%83%B3&FORM=IE4');
  ok($referer->is_search_engine_result_page);
};

eval {
  my $referer = WiKicker::HTTP::Referer->new('http://search.nifty.com/cgi-bin/search.cgi?cflg=%B8%A1%BA%F7&Text=dog&select=2&Submit=%B8%A1%BA%F7');
  my ($engine, $text) = $referer->get_search_query;
  ok($engine, 'nifty.com');
  ok($text, 'dog');
  ok($referer->make_html_link, qq(<a href="http://search.nifty.com/cgi-bin/search.cgi?cflg=%B8%A1%BA%F7&amp;Text=dog&amp;select=2&amp;Submit=%B8%A1%BA%F7">nifty.com: dog</a>));
};

eval {
  my $referer = WiKicker::HTTP::Referer->new('http://www.google.co.jp/search?hl=ja&ie=UTF-8&oe=UTF-8&q=fop+DocBook+stylesheets+pdf+&btnG=Google+%E6%A4%9C%E7%B4%A2&lr=');
  my ($engine, $text) = $referer->get_search_query;
  ok($engine, 'google.co.jp');
  ok($text, 'fop DocBook stylesheets pdf ');
};

eval {
  my $referer = WiKicker::HTTP::Referer->new('java-script:test');
  ok($referer->make_html_link, 'java-script:test');
};

