#
# WiKicker
#
#  TFVisitor.t
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: TFVisitor.t,v 1.2 2003/10/26 23:07:34 naney Exp $
#
#

use strict;
use Test;

BEGIN { plan tests => 4 }

use WiKicker::WikiPage::TextFormatVisitor;
use WiKicker::WikiPage::DocumentParser;
use WiKicker::WRI::Factory;

my $factory = WiKicker::WRI::Factory->new;

{
  my $text = WiKicker::WikiPage::TextFormatVisitor::_fill_paragraph('abc', 10);
  ok($text eq 'abc');
}


{
  my $text = WiKicker::WikiPage::TextFormatVisitor::_fill_paragraph('あいうえおかきくけこ', 10);
  ok($text eq "あいうえお\nかきくけこ");
}

{
  my $text = WiKicker::WikiPage::TextFormatVisitor::_fill_paragraph('あいうえおかきくけこ', 10, '>');
  ok($text eq ">あいうえお\n>かきくけこ");
}


{
  my $document_node
    = WiKicker::WikiPage::DocumentParser->new(wri_factory => $factory)->parse('abc');
  my $visitor = WiKicker::WikiPage::TextFormatVisitor->new;
  $visitor->visit($document_node);

  ok($visitor->content eq 'abc');
}
