#
# WiKicker
#
#  TieFile.t
#
#
# Copyright (C) 2003,2005 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: TieFile.t,v 1.1 2005/05/06 13:15:26 naney Exp $
#
#

use strict;
use Test;
use File::Path;

BEGIN { plan tests => 8 }

use WiKicker::Tie::File;

rmtree(['/tmp/WiKicker-test'], 0);

{
  my %db_hash;
  my $db = tie(%db_hash, 'WiKicker::Tie::File', '/tmp/WiKicker-test');
  $db_hash{key} = 'dog';
  ok($db_hash{key} eq 'dog');
  $db_hash{key} = 'dok';
  ok($db_hash{key} eq 'dok');
  $db_hash{key} = '$Id: TieFile.t,v 1.1 2005/05/06 13:15:26 naney Exp $';
  ok($db_hash{key} eq '$Id: TieFile.t,v 1.1 2005/05/06 13:15:26 naney Exp $');

  undef $db;
  untie %db_hash;
}

# delete
{
  my %db_hash;
  my $db = tie(%db_hash, 'WiKicker::Tie::File', '/tmp/WiKicker-test');
  ok(exists $db_hash{key});
  ok($db_hash{key} eq '$Id: TieFile.t,v 1.1 2005/05/06 13:15:26 naney Exp $');

  ok(-e $db->file_full_name('key'));
  delete $db_hash{key};
  ok(!exists $db_hash{key});
  ok(!-e $db->file_full_name('key'));
}
