#
# WiKicker
#
#  UTF8.t
#
#
# Copyright (C) 2003,2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: UTF8.t,v 1.3 2004/08/03 12:46:10 naney Exp $
#
#

use strict;
use Test;

BEGIN { plan tests => 12 }

use WiKicker::UTF8;

{
  ok(WiKicker::UTF8::substr_utf8('あいうえお', 0, 3) eq 'あいう');
}

{
  ok(WiKicker::UTF8::length_utf8('あいうえお') == 5);
}

{
  my @list = WiKicker::UTF8::split_into_array('abあい');
  ok(@list == 4);
  ok($list[0] eq 'a');
  ok($list[1] eq 'b');
  ok($list[2] eq 'あ');
  ok($list[3] eq 'い');
}

{
  my $list = WiKicker::UTF8::split_into_array_ref('abあい');
  ok(@{$list} == 4);
  ok($list->[0] eq 'a');
  ok($list->[1] eq 'b');
  ok($list->[2] eq 'あ');
  ok($list->[3] eq 'い');
}
