#
# WiKicker
#
#  UTF8UC.t
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: UTF8UC.t,v 1.4 2003/11/01 03:02:07 naney Exp $
#
#

use strict;
use Test;

BEGIN { plan tests => 8 }

my $no_unicode_string = 0;
eval('use WiKicker::UTF8_Unicode_String');
if ($@) {
  $no_unicode_string = 1;
  if ($] < 5.006) {
    ok(0);
  }
  else {
    skip($no_unicode_string, 0);
  }
}
else {
  ok(1);
}

{
  skip($no_unicode_string,
       eval {
         WiKicker::UTF8_Unicode_String::_substr_utf8(undef, 'あいうえお', 0, 3) eq 'あいう'
       });
}

{
  skip($no_unicode_string,
       eval {
         WiKicker::UTF8_Unicode_String::_length_utf8(undef, 'あいうえお') == 5
         });
}

{
  skip($no_unicode_string,
  eval {
    my @list = WiKicker::UTF8_Unicode_String::_split_into_array(undef, 'abあい');
    @list == 4;
    });
}
    
{
  skip($no_unicode_string,
  eval {
    my @list = WiKicker::UTF8_Unicode_String::_split_into_array(undef, 'abあい');
    $list[0] eq 'a';
    });
}

{
  skip($no_unicode_string,
  eval {
    my @list = WiKicker::UTF8_Unicode_String::_split_into_array(undef, 'abあい');
    $list[1] eq 'b';
    });
}

{
  skip($no_unicode_string,
  eval {
    my @list = WiKicker::UTF8_Unicode_String::_split_into_array(undef, 'abあい');
    $list[2] eq 'あ';
    });
}

{
  skip($no_unicode_string,
  eval {
    my @list = WiKicker::UTF8_Unicode_String::_split_into_array(undef, 'abあい');
    $list[3] eq 'い';
    });
}
