#
# WiKicker
#
#  UWRN.t
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: UWRN.t,v 1.3 2003/11/08 06:44:33 naney Exp $
#
#

use strict;
use Test;

BEGIN { plan tests => 6 }

use WiKicker::WRI::Factory;
use WiKicker::WRI::Resolver;
use WiKicker::WikiPage::Env;

my $factory = WiKicker::WRI::Factory->new;

my $resolver = WiKicker::WRI::Resolver->new;
$resolver->amazon_id('wwwnaneyorg-22');
my $wri_env = WiKicker::WikiPage::Env->new(resolver => $resolver,
                                      wikicker_url => '/wiki');
# inter wiki
{
  my $wri = $factory->create_wri('WikiWikiWeb:PageName');
  ok(ref $wri eq 'WiKicker::WRI::UWRN');
  ok($wri->scheme eq 'WikiWikiWeb');
  ok($wri->rest eq 'PageName');
}

# inter wiki
{
  my $wri = $factory->create_wri('w\:w:PageName');
  ok(ref $wri eq 'WiKicker::WRI::UWRN');
  ok($wri->scheme eq 'w:w');
  ok($wri->rest eq 'PageName');
}
