#
# WiKicker
#
#  WRI-Imagemap.t
#
#
# Copyright (C) 2005 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: WRI-Imagemap.t,v 1.1 2005/03/20 10:44:26 naney Exp $
#
#

use strict;
use Test::More tests => 9;

use WiKicker::WRI::Factory;
use WiKicker::WRI::Resolver;
use WiKicker::WikiPage::Env;
my $factory = WiKicker::WRI::Factory->new;
my $resolver = WiKicker::WRI::Resolver->new;
$resolver->amazon_id('wwwnaneyorg-22');
my $wri_env = WiKicker::WikiPage::Env->new(resolver => $resolver,
                                           wikicker_url => '/wiki',
                                           wri_factory => $factory,
                                          );

# imagemap
{
  my $wri = $factory->create_wri('imagemap:http://www.naney.org/test.jpg');

  # WiKicker::WRI::original
  is($wri->original, 'imagemap:http://www.naney.org/test.jpg');

  # WiKicker::WRI::to_string
  is($wri->to_string, 'imagemap:http://www.naney.org/test.jpg');

  # WiKicker::WRI::canonical;
  ok(!defined $wri->canonical);

  # WiKicker::WRI::to_subject_string
  is($wri->to_subject_string, '');

  # WiKicker::WRI::to_html
  is($wri->to_html, '<a href="http://www.naney.org/test.map"><img ismap src="http://www.naney.org/test.jpg" alt="imagemap:http://www.naney.org/test.jpg"></a>');

  # WiKicker::WRI::get_image_url
  is($wri->get_image_url($wri_env), 'http://www.naney.org/test.jpg');

  # WiKicker::WRI::WRN

  # WiKicker::WRI::QWRN::scheme
  # WiKicker::WRI::QWRN::rest
  is($wri->scheme, 'imagemap');
  is($wri->rest, 'http://www.naney.org/test.jpg');

  # WiKicker::WRI::Imagemap::get_link_url
  is($wri->get_link_url, 'http://www.naney.org/test.map');
}
