#
# WiKicker
#
#  WRIImage.t
#
#
# Copyright (C) 2003,2005 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: WRIImage.t,v 1.4 2005/02/26 07:44:15 naney Exp $
#
#

use strict;
use Test;

BEGIN { plan tests => 12 }

use WiKicker::WRI::Factory;
use WiKicker::WRI::Resolver;
use WiKicker::WikiPage::Env;

my $factory = WiKicker::WRI::Factory->new;

my $resolver = WiKicker::WRI::Resolver->new;
$resolver->amazon_id('wwwnaneyorg-22');
my $wri_env = WiKicker::WikiPage::Env->new(resolver => $resolver,
                                      wikicker_url => '/wiki',
                                      wri_factory => $factory,
                                      );
#image
{
  my $wri = $factory->create_wri('image:http://www.naney.org/tmp.jpg');
  ok(ref $wri eq 'WiKicker::WRI::Image');
  ok($wri->get_link_url($wri_env)  eq 'http://www.naney.org/tmp.jpg');
  ok($wri->get_image_url eq 'http://www.naney.org/tmp.jpg');
  ok($wri->to_html('', $wri_env) eq qq(<img src="http://www.naney.org/tmp.jpg" alt="image:http://www.naney.org/tmp.jpg">));
}

#limage
{
  my $wri = $factory->create_wri('limage:http://www.naney.org/tmp.jpg');
  ok(ref $wri eq 'WiKicker::WRI::Image');
  ok($wri->get_link_url($wri_env) eq 'http://www.naney.org/tmp.jpg');
  ok($wri->get_image_url eq 'http://www.naney.org/tmp.jpg');
  ok($wri->to_html('', $wri_env) eq qq(<img src="http://www.naney.org/tmp.jpg" alt="limage:http://www.naney.org/tmp.jpg" class="left">));
}

#rimage
{
  my $wri = $factory->create_wri('rimage:http://www.naney.org/tmp.jpg');
  ok(ref $wri eq 'WiKicker::WRI::Image');
  ok($wri->get_link_url($wri_env) eq 'http://www.naney.org/tmp.jpg');
  ok($wri->get_image_url eq 'http://www.naney.org/tmp.jpg');
  ok($wri->to_html('', $wri_env) eq qq(<img src="http://www.naney.org/tmp.jpg" alt="rimage:http://www.naney.org/tmp.jpg" class="right">));
}
