#
# WiKicker
#
#  WikiPageEnv.t
#
#
# Copyright (C) 2005 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: WikiPageEnv.t,v 1.1 2005/04/04 14:08:42 naney Exp $
#
#

use strict;
use Test::More tests => 9;
use WiKicker::PageNameList;
use WiKicker::WRI::Resolver;
use WiKicker::WRI::Factory;
BEGIN { use_ok('WiKicker::WikiPage::Env'); }


{
  my $env = WiKicker::WikiPage::Env
    ->new(page_name => 'test',
          environment => MockEnvironment->new,
          page_name_list => WiKicker::PageNameList->new('a'),
          resolver => WiKicker::WRI::Resolver->new,
          wri_factory => WiKicker::WRI::Factory->new,
          wikicker_url => 'test_url'
         );
  ok($env->page_name, 'test');
  isa_ok($env->environment, 'MockEnvironment');
  isa_ok($env->db, 'MockDb');
  isa_ok($env->configuration, 'MockConfiguration');
  isa_ok($env->page_name_list, 'WiKicker::PageNameList');
  isa_ok($env->resolver, 'WiKicker::WRI::Resolver');
  isa_ok($env->wri_factory, 'WiKicker::WRI::Factory');
  ok($env->wikicker_url, 'test_url');
}

package MockDb;
sub new {
  my $class = shift;
  return bless {}, $class;
}

package MockConfiguration;
sub new {
  my $class = shift;
  return bless {}, $class;
}

package MockEnvironment;
sub new {
  my $class = shift;
  return bless {}, $class;
}

sub db { MockDb->new }
sub configuration { MockConfiguration->new }

1;
