#
# WiKicker
#
#  WriNode.t
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: WriNode.t,v 1.3 2003/10/26 23:07:34 naney Exp $
#
#

use strict;
use Test;

BEGIN { plan tests => 4 }

use WiKicker::WikiPage::WriNode;
use WiKicker::WRI::Factory;

my $factory = WiKicker::WRI::Factory->new;

# get original
{
  my $node = WiKicker::WikiPage::WriNode->new('WikiName', 'WikiName', $factory);
  ok($node->original eq 'WikiName');
}

# set original
{
  my $node = WiKicker::WikiPage::WriNode->new('WikiName', 'WikiName', $factory);
  $node->original('AbcNode');
  ok($node->original eq 'AbcNode');
}

# get wri
{
  my $node = WiKicker::WikiPage::WriNode->new('WikiName', 'WikiName', $factory);
  ok($node->wri->original eq 'WikiName');
}

# set wri
{
  my $node = WiKicker::WikiPage::WriNode->new('WikiName', 'WikiName', $factory);
  $node->wri($factory->create_wri('AbcName'));
  ok($node->wri->original eq 'AbcName');
}
